<< qd2str | conversions | DD: 16 bytes decimal arithmetics >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > conversions > str2dd

# str2dd

parses a long input numeric string and converts it into a DD number

### Syntax

    b = str2dd(a)

### Parameters

a

  string

z

  DD variable

### Description

str2dd(a)

  input a DD variable.

### Examples

    str2dd('-3.00112233445566778899001122e-7')
    str2dd('-1234.000111222333444555666777D22')

    --> str2dd('-3.00112233445566778899001122e-7')
     ans  =
      -3.001122334455667788990011220000E-7

    --> str2dd('-1234.000111222333444555666777D22')
     ans  =
      -1.234000111222333444555666776999E25

### See Also

- dd — builds an array of DD numbers
- dd2str — prints a DD number in a string

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< qd2str | conversions | DD: 16 bytes decimal arithmetics >>